Bug 340487 - Add Album Category as a search criteria [patch]
Summary: Add Album Category as a search criteria [patch]
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Applications
Component: Searches-Advanced (show other bugs)
Version: 4.4.0
Platform: unspecified Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-10-30 09:12 UTC by Vincent Tassy
Modified: 2017-08-18 09:07 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 4.5.0


Attachments
Patch to add Album Category as a search criteria in Advanced Search (2.54 KB, patch)
2014-11-02 22:04 UTC, Vincent Tassy
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vincent Tassy 2014-10-30 09:12:00 UTC
When Albums are created, one can assign a Category to it. Today, this information is never used.
It would be nice to add this as a potential search field in the Advanced Search dialog.

Reproducible: Always


Actual Results:  
Album Category is never used anywhere

Expected Results:  
User is able to to search for pictures in Albums from a particular Category
Comment 1 Vincent Tassy 2014-11-02 22:04:30 UTC
Created attachment 89410 [details]
Patch to add Album Category as a search criteria in Advanced Search

Adds a choice selector in the search Advanced Search dialog
Adds logic in the database query to handle it

Works fine here
Comment 2 caulier.gilles 2014-11-07 08:13:11 UTC
Git commit 4fdb64cff1e88a27312bc3759a5071a706efe612 by Gilles Caulier.
Committed on 07/11/2014 at 08:11.
Pushed by cgilles into branch 'master'.

Apply patch #89410 from Vincent Tassy about to add Album Category as a search criteria in advanced Search tool
FIXED-IN: 4.5.0

M  +2    -1    NEWS
M  +1    -1    libs/database/imagequerybuilder.cpp
M  +15   -2    utilities/searchwindow/searchfields.cpp
M  +1    -0    utilities/searchwindow/searchgroup.cpp

http://commits.kde.org/digikam/4fdb64cff1e88a27312bc3759a5071a706efe612